<?xml version="1.0" encoding="UTF-8"?>
<!--
   for xalan processing
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="UTF-8"/>
   for ie 5.5 processing
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" version="1.1">
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="UTF-8"/>
  <xsl:template match="/">
    <html>
      <head>
        <title>IBM Content Manager - Java Resource Manager (CM) !!</title>
        <meta http-equiv="Content-Type" content="text/html"></meta>
        <meta http-equiv="Content-Language" content="en"></meta>
        <meta http-equiv="expires" content="0"></meta>
        <link rel ="stylesheet" type="text/css" href="icmrm.css" title="Style">
        </link>
      </head>
      <body>
        <hr></hr>
        <h1>IBM Content Manager V8 </h1>
        <xsl:for-each select="/icmrmval">
          <h2>Report Type:
            <span>
              <xsl:value-of select="reporttype"/>
            </span>
          </h2>
          <h3>Return Code:
            <span>
              <xsl:value-of select="returncode"/>
            </span>
          </h3>
          <h3>Return Message:
          	<span>
              <xsl:value-of select="returnmsg"/>
            </span>
          </h3>
          <xsl:if test="//reportattributes">		  
          </xsl:if>
          <xsl:apply-templates select="//reportattributes"/>
          <!-- xsl:for-each select="rmvolvalinfo" -->
            <hr></hr>
            <!-- <h3> ICMRM Volume Validation Results </h3> -->
          	<xsl:apply-templates select="//rmvolvalinfo"/>
          	<xsl:apply-templates select="//rmlsvalinfo"/> 
          	<xsl:apply-templates select="//rmlsvalorphan"/>
          	<xsl:apply-templates select="//rmlsvalrmnotfnd"/> 
	      <!-- /xsl:for-each--><!--rmvolvalinfo-->
        </xsl:for-each><!--icmrmval-->
      </body>
    </html>
    </xsl:template>
    <xsl:template match="//reportattributes">
  	<h3>Report Parameters:
  		<span>
  			<xsl:value-of select="reportparameters"/>
  		</span>
  	</h3>
  	<h3>Report Date:
  		<span>
  			<xsl:value-of select="reportdate"/>
  		</span>
  	</h3>
  	</xsl:template>  
  <xsl:template match="//rmvolvalinfo">
    <table>
      <thead>
        <tr>
          <td align="center" colspan="2">
            <b>ICMRM Volume Validation Record</b>
          </td>
        </tr>
        <tr>
          <td>Attribute:</td>
          <td>Value:</td>
        </tr>        
      </thead>
      <tbody>
          <tr>
            <td>Library Name:</td>
            <td><xsl:value-of select="obj_library"/></td>
          </tr>
          <tr>
            <td>ItemId:</td>
            <td><xsl:value-of select="obj_itemid"/></td>
          </tr>
          <tr>
            <td>Version Number:</td>
            <td><xsl:value-of select="obj_version"/></td>
          </tr>
          <tr>
            <td>Collection:</td>
            <td><xsl:value-of select="obj_collection"/></td>
          </tr>
          <tr>
            <td>Volume:</td>
            <td><xsl:value-of select="obj_volume"/></td>
          </tr>
          <tr>
            <td>Size:</td>
            <td><xsl:value-of select="obj_size"/></td>
          </tr>
          <tr>
            <td>Create Date:</td>
            <td><xsl:value-of select="obj_createdate"/></td>
          </tr>
          <tr>
            <td>Last Update Date:</td>
            <td><xsl:value-of select="obj_updatedate"/></td>
          </tr>
          <tr>
            <td>Object Name:</td>
            <td><xsl:value-of select="obj_objectname"/></td>
          </tr>
          <tr>
            <td>Original File Name:</td>
            <td><xsl:value-of select="obj_orgfilename"/></td>
          </tr>
          <tr>
            <td>Internal Object Name:</td>
            <td><xsl:value-of select="obj_filename"/></td>
          </tr>
          <tr>
            <td>MIME Type:</td>
            <td><xsl:value-of select="obj_mimetype"/></td>
          </tr>
      </tbody>
    </table>
    <p></p>
  </xsl:template>  

  <xsl:template match="//rmlsvalinfo">
    <table>
      <thead>
        <tr>
          <td align="center" colspan="2">
            <b>ICMRM LS Validation Record</b>
          </td>
        </tr>
        <tr>
          <td>Attribute:</td>
          <td>Value:</td>
        </tr>        
      </thead>
      <tbody>
          <tr>
            <td>Library Name:</td>
            <td><xsl:value-of select="obj_library"/></td>
          </tr>
          <tr>
            <td>ItemId:</td>
            <td><xsl:value-of select="obj_itemid"/></td>
          </tr>
          <tr>
            <td>Version Number:</td>
            <td><xsl:value-of select="obj_version"/></td>
          </tr>
          <tr>
            <td>Collection:</td>
            <td><xsl:value-of select="obj_collection"/></td>
          </tr>
          <tr>
            <td>Volume:</td>
            <td><xsl:value-of select="obj_volume"/></td>
          </tr>
          <tr>
            <td>Size:</td>
            <td><xsl:value-of select="obj_size"/></td>
          </tr>
          <tr>
            <td>Create Date:</td>
            <td><xsl:value-of select="obj_createdate"/></td>
          </tr>
          <tr>
            <td>Last Update Date:</td>
            <td><xsl:value-of select="obj_updatedate"/></td>
          </tr>
          <tr>
            <td>Object Name:</td>
            <td><xsl:value-of select="obj_objectname"/></td>
          </tr>
          <tr>
            <td>Original File Name:</td>
            <td><xsl:value-of select="obj_orgfilename"/></td>
          </tr>
          <tr>
            <td>Internal Object Name:</td>
            <td><xsl:value-of select="obj_filename"/></td>
          </tr>
          <tr>
            <td>MIME Type:</td>
            <td><xsl:value-of select="obj_mimetype"/></td>
          </tr>
          <tr>
            <td>LS Ref ItemId:</td>
            <td><xsl:value-of select="lsref_itemid"/></td>
          </tr>
          <tr>
            <td>LS Ref Version:</td>
            <td><xsl:value-of select="lsref_version"/></td>
          </tr>  
          <tr>
            <td>LS Ref Collection:</td>
            <td><xsl:value-of select="lsref_collection"/></td>
          </tr> 
          <tr>
            <td>LS Ref Size:</td>
            <td><xsl:value-of select="lsref_size"/></td>
          </tr>  
          <tr>
            <td>LS Ref Create Date:</td>
            <td><xsl:value-of select="lsref_createdate"/></td>
          </tr>
          <tr>
            <td>LS Ref Update Date:</td>
            <td><xsl:value-of select="lsref_updatedate"/></td>
          </tr>   
          <tr>
            <td>LS Ref Update UserId:</td>
            <td><xsl:value-of select="lsref_updateuserid"/></td>
          </tr>  
          <tr>
            <td>LS Ref External Object Name:</td>
            <td><xsl:value-of select="lsref_extobjectname"/></td>
          </tr>                                                                   
      </tbody>
    </table>
    <p></p>
  </xsl:template>  
  <xsl:template match="//rmlsvalorphan">
    <table>
      <thead>
        <tr>
          <td align="center" colspan="2">
            <b>ICMRM LS Validation Record</b>
          </td>
        </tr>
        <tr>
          <td>Attribute:</td>
          <td>Value:</td>
        </tr>        
      </thead>
      <tbody>
          <tr>
            <td>Library Name:</td>
            <td><xsl:value-of select="obj_library"/></td>
          </tr>
          <tr>
            <td>ItemId:</td>
            <td><xsl:value-of select="obj_itemid"/></td>
          </tr>
          <tr>
            <td>Version Number:</td>
            <td><xsl:value-of select="obj_version"/></td>
          </tr>
          <tr>
            <td>Collection:</td>
            <td><xsl:value-of select="obj_collection"/></td>
          </tr>
          <tr>
            <td>Volume:</td>
            <td><xsl:value-of select="obj_volume"/></td>
          </tr>
          <tr>
            <td>Size:</td>
            <td><xsl:value-of select="obj_size"/></td>
          </tr>
          <tr>
            <td>Create Date:</td>
            <td><xsl:value-of select="obj_createdate"/></td>
          </tr>
          <tr>
            <td>Last Update Date:</td>
            <td><xsl:value-of select="obj_updatedate"/></td>
          </tr>
          <tr>
            <td>Object Name:</td>
            <td><xsl:value-of select="obj_objectname"/></td>
          </tr>
          <tr>
            <td>Original File Name:</td>
            <td><xsl:value-of select="obj_orgfilename"/></td>
          </tr>
          <tr>
            <td>Internal Object Name:</td>
            <td><xsl:value-of select="obj_filename"/></td>
          </tr>
          <tr>
            <td>MIME Type:</td>
            <td><xsl:value-of select="obj_mimetype"/></td>
          </tr>
      </tbody>
    </table>
    <p></p>
  </xsl:template>      
    <xsl:template match="//rmlsvalrmnotfnd">
      <table>
        <thead>
          <tr>
            <td align="center" colspan="2">
              <b>ICMRM LS Validation Record</b>
            </td>
          </tr>
          <tr>
            <td>Attribute:</td>
            <td>Value:</td>
          </tr>        
        </thead>
        <tbody>
            <tr>
              <td>LS Ref ItemId:</td>
              <td><xsl:value-of select="lsref_itemid"/></td>
            </tr>
            <tr>
              <td>LS Ref Version:</td>
              <td><xsl:value-of select="lsref_version"/></td>
            </tr>  
            <tr>
              <td>LS Ref Collection:</td>
              <td><xsl:value-of select="lsref_collection"/></td>
            </tr> 
            <tr>
              <td>LS Ref Size:</td>
              <td><xsl:value-of select="lsref_size"/></td>
            </tr>  
            <tr>
              <td>LS Ref Create Date:</td>
              <td><xsl:value-of select="lsref_createdate"/></td>
            </tr>
            <tr>
              <td>LS Ref Update Date:</td>
              <td><xsl:value-of select="lsref_updatedate"/></td>
            </tr>   
            <tr>
              <td>LS Ref Update UserId:</td>
              <td><xsl:value-of select="lsref_updateuserid"/></td>
            </tr>  
            <tr>
              <td>LS Ref External Object Name:</td>
              <td><xsl:value-of select="lsref_extobjectname"/></td>
            </tr>                                                                   
        </tbody>
      </table>
      <p></p>
  </xsl:template>  
</xsl:stylesheet>
