::########################################################################
::# Licensed Materials - Property of IBM                                 #
::#                                                                      #
::# IBM Content Manager for Multiplatforms V8 (program number 5724-B19)  #
::# (c) Copyright IBM Corp. 1994, 2008.                                  #
::#                                                                      #
::# US Government Users Restricted Rights -                              #
::# Use, duplication or disclosure restricted by GSA ADP Schedule        #
::# Contract with IBM Corporation                                        #
::#                                                                      #
::#  Program name   : setprocenv.bat                                     #
::#                                                                      #
::#  Description    : This script is used as a central repository for    #
::#                   all the environment variables required for         #
::#                   RM utilities                                       #
::#                                                                      #
::#  Please ensure that the following variables are set to the correct   #
::#  values for your system configuration:                               #
::# -dbtype         --> Resource Manager Database Type (db2 / oracle)    #
::#                     in lowercase                                     #
::# -dbname         --> Resource Manager Database Name                   #
::# -rmappname      --> Resource Manager Application Name                #
::# -nodename       --> If using WAS5.x, set the WAS nodename            #
::# -was_home       --> WebSphere home installation directory            #
::# -db2home and/or --> db2 instance home use for RM install             #
::# -db2jdbc        --> If using the DB2 type 4 JDBC connector           #
::# -db2jdbc_license--> If using the DB2 type 4 JDBC connector           #
::# -orahome        --> Oracle home installation directory(ORACLE_HOME)  #
::# -orajdbc        --> If RM DB is an Oracle database set Oracle's      #
::#                        JDBC fully qualify file name (ojdbc14.jar)    #
::#                        PREREQ: Oracle's JDBC 9.2.0.X                 #
::########################################################################

::# IBM DB2 Content Manager Install Directory
set IBMCMROOT="%CD%"
::# Resource Manager Database Type (db2 / oracle) in lowercase
set dbtype=db2
::# Resource Manager Database Name
set dbname=HOSTDB
::# Resource Manager Application Name
set rmappname=icmrm

set waittime=180
set position=0

:WHILE
IF "%1" == "" GOTO CONTINUE
IF NOT "%1" == "-act" GOTO NEXTCASE
shift
set procAction=%1
echo procAction: %procAction%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-dbtype" GOTO NEXTCASE
shift
set dbtype=%1
echo dbtype: %dbtype%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-db" GOTO NEXTCASE
shift
set dbname=%1
echo dbname: %dbname%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-app" GOTO NEXTCASE
shift
set rmappname=%1
echo rmappname: %rmappname%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-node" GOTO NEXTCASE
shift
set nodename=%1
echo nodename: %nodename%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-insthome" GOTO NEXTCASE
shift
set db2home=%1
echo db2home: %db2home%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-db2home" GOTO NEXTCASE
shift
set db2home=%1
echo db2home: %db2home%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-db2jdbc" GOTO NEXTCASE
shift
set db2_jdbc_abspath=%1
echo db2_jdbc_abspath: %db2_jdbc_abspath%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-db2jdbc_license" GOTO NEXTCASE
shift
set db2_jdbc_license_abspath=%1
echo db2_jdbc_license_abspath: %db2_jdbc_license_abspath%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-orahome" GOTO NEXTCASE
shift
set orahome=%1
echo orahome: %orahome%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-orajdbc" GOTO NEXTCASE
shift
set ora_jdbc_abspath=%1
echo ora_jdbc_abspath: %ora_jdbc_abspath%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-was" GOTO NEXTCASE
shift
set was_home=%~fs1
echo was_home: %was_home%
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-proc" GOTO NEXTCASE
shift
set process=%1
echo process: %process%
shift
GOTO WHILE
:NEXTCASE
::# RM process flags
IF NOT "%1" == "-b" GOTO NEXTCASE
shift
set begin=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-B" GOTO NEXTCASE
shift
set begin=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/b" GOTO NEXTCASE
shift
set begin=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/B" GOTO NEXTCASE
shift
set begin=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-e" GOTO NEXTCASE
shift
set end=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-E" GOTO NEXTCASE
shift
set end=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/e" GOTO NEXTCASE
shift
set end=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/E" GOTO NEXTCASE
shift
set end=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-f" GOTO NEXTCASE
shift
set logfile=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-F" GOTO NEXTCASE
shift
set logfile=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/f" GOTO NEXTCASE
shift
set logfile=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/F" GOTO NEXTCASE
shift
set logfile=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-v" GOTO NEXTCASE
shift
set volume=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-V" GOTO NEXTCASE
shift
set volume=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/v" GOTO NEXTCASE
shift
set volume=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/V" GOTO NEXTCASE
shift
set volume=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-h" GOTO NEXTCASE
shift
set help=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-H" GOTO NEXTCASE
shift
set help=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/h" GOTO NEXTCASE
shift
set help=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/H" GOTO NEXTCASE
shift
set help=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-L" GOTO NEXTCASE
shift
set lsuid=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-l" GOTO NEXTCASE
shift
set lsuid=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/L" GOTO NEXTCASE
shift
set lsuid=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/l" GOTO NEXTCASE
shift
set lsuid=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-w" GOTO NEXTCASE
shift
set lspwd=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-W" GOTO NEXTCASE
shift
set lspwd=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/W" GOTO NEXTCASE
shift
set lspwd=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/w" GOTO NEXTCASE
shift
set lspwd=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-R" GOTO NEXTCASE
shift
set rmuid=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-r" GOTO NEXTCASE
shift
set rmuid=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/R" GOTO NEXTCASE
shift
set rmuid=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/r" GOTO NEXTCASE
shift
set rmuid=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-P" GOTO NEXTCASE
shift
set rmpwd=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-p" GOTO NEXTCASE
shift
set rmpwd=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/P" GOTO NEXTCASE
shift
set rmpwd=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/p" GOTO NEXTCASE
shift
set rmpwd=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-c" GOTO NEXTCASE
shift
set cleanup=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "-C" GOTO NEXTCASE
shift
set cleanup=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/c" GOTO NEXTCASE
shift
set cleanup=%1
shift
GOTO WHILE
:NEXTCASE
IF NOT "%1" == "/C" GOTO NEXTCASE
shift
set cleanup=%1
shift
GOTO WHILE
:NEXTCASE
::# POSITINAL PARAMETER BEEN USE
IF %position% NEQ 0 GOTO NEXTCASE
set procAction=%1
echo procAction: %procAction%
set position=1
shift
GOTO WHILE
:NEXTCASE
IF %position% NEQ 1 GOTO NEXTCASE
set dbname=%1
echo dbname: %dbname%
set position=2
shift
:NEXTCASE
GOTO WHILE
IF %position% NEQ 2 GOTO NEXTCASE
set rmappname=%1
echo rmappname: %rmappname%
set position=3
shift
:NEXTCASE
GOTO WHILE
IF %position% NEQ 3 GOTO NEXTCASE
set process=%1
echo process: %process%
set position=4
shift
:NEXTCASE
GOTO WHILE

:CONTINUE
IF %position% EQU 0 GOTO END
echo WARN: POSITIONAL INPUT PARAMETERS SYNTAX IS DEPRICATED

:END
